# Uses of Enum Class
org.apache.lucene.store.FileDataHint

Packages that use FileDataHint
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of FileDataHint in org.apache.lucene.store

  Methods in org.apache.lucene.store that return FileDataHint
  Modifier and Type
  Method
  Description
  `static FileDataHint`
  FileDataHint.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileDataHint[]`
  FileDataHint.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.